#!/bin/bash

PROG="${0}"
REPOSRC=/worksrc/sysresccd-src
NEWDATE=$(date --date='1 days ago' '+%Y%m%d')

usage()
{
	cat <<EOF
Usage: ${PROG} [options] [NEWDATE]

Replace the snapshot date in REPOSRC/mainfiles/*.spec with NEWDATE (defaults
to ${NEWDATE}).

Options:
 -h|--help         Display this screen and exit
 -r REPOSRC        Location of git systemrescuecd repo ($REPOSRC)
EOF
}

while getopts "r:" Option
do
	case $Option in
		r ) REPOSRC="$OPTARG";;
		* ) usage; exit 1;;  # Default, handles -h
	esac
done
shift $(($OPTIND - 1))

if [ "${1}" == "--help" ]
then
	usage
	exit 1
fi

if [ -n "${1}" ]
then
	NEWDATE="${1}"
fi

for f in ${REPOSRC}/mainfiles/sysresccd-*.spec
do
	sed -i -e "s!^snapshot: [0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]!snapshot: ${NEWDATE}!g" ${f}
done

grep '^snapshot: ' ${REPOSRC}/mainfiles/sysresccd-*.spec
